Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`ui`.`ansi`.`ColorText``

class documentation

`class ColorText: (source)`

Constructor: `ColorText(text, fg, bg, display, ...)`

View In Hierarchy

Represents an element of text along with the texts colors and additional attributes.

Method | `__init__` | Undocumented
Constant | `BOLD_COLORS` | Undocumented
Constant | `COLOR_NAMES` | Undocumented
Constant | `COLORS` | Undocumented
Class Variable | `BLACK` | Undocumented
Class Variable | `BLUE` | Undocumented
Class Variable | `CYAN` | Undocumented
Class Variable | `GREEN` | Undocumented
Class Variable | `MAGENTA` | Undocumented
Class Variable | `RED` | Undocumented
Class Variable | `WHITE` | Undocumented
Class Variable | `YELLOW` | Undocumented
Instance Variable | `bg` | Undocumented
Instance Variable | `bold` | Undocumented
Instance Variable | `display` | Undocumented
Instance Variable | `fg` | Undocumented
Instance Variable | `flash` | Undocumented
Instance Variable | `reverse` | Undocumented
Instance Variable | `text` | Undocumented
Instance Variable | `underline` | Undocumented

def __init__(self, text, fg, bg, display, bold, underline, flash, reverse): (source)

Undocumented

BOLD_COLORS = (source)

Undocumented

Value

    tuple((x.upper() for x in COLORS))

COLOR_NAMES: `tuple[str, ...]` = (source)

Undocumented

Value

    ('Black', 'Red', 'Green', 'Yellow', 'Blue', 'Magenta', 'Cyan', 'White')

COLORS: `tuple[str, ...]` = (source)

Undocumented

Value

    ('b', 'r', 'g', 'y', 'l', 'm', 'c', 'w')

BLACK = (source)

Undocumented

BLUE = (source)

Undocumented

CYAN = (source)

Undocumented

GREEN = (source)

Undocumented

MAGENTA = (source)

Undocumented

RED = (source)

Undocumented

WHITE = (source)

Undocumented

YELLOW = (source)

Undocumented

bg = (source)

Undocumented

bold = (source)

Undocumented

display = (source)

Undocumented

fg = (source)

Undocumented

flash = (source)

Undocumented

reverse = (source)

Undocumented

text = (source)

Undocumented

underline = (source)

Undocumented